
QGIS Application - Bug report #19632

copy-paste doesn't work

2018-08-16 01:53 PM - zimirrr leonid

Status: Closed

Priority: High

Assignee:

Category: Editing

Affected QGIS version:3.2.1 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 27459

Description

qgis 3.2.1, windows 10.

I have geojson file and postgis table. They have same columns but different column order. And additional column `id` in postgis table.

When I copy from json and paste to postgis table it adds new feature but with empty columns, see pics.

In qgis 2.14 it worked perfectly.

History

#1 - 2018-08-16 03:11 PM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

#2 - 2018-10-24 08:33 AM - Hugo Mercier

Can't reproduce. Tested on linux, version 3.3.0 commit:225c9227af.

I've tested with a GeoJSON layer with 93 fields, copied a feature with the attribute table dialog from this to a postgis layer that has only 3 fields of the same

name, and it works perfectly.

#3 - 2018-10-24 08:34 AM - Hugo Mercier

- Resolution set to not reproducable

#4 - 2018-10-24 10:42 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Resolution deleted (not reproducable)

let's leave this open in feedback mode, then will close if no feedback is received.

#5 - 2018-12-27 10:22 AM - Nyall Dawson

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closed due to lack of feedback
